using UnityEngine;
using UnityEngine.XR.ARFoundation;

namespace SpellBoundAR.ARImageTracking
{
    [DisallowMultipleComponent]
    public class ImageTargetContent : MonoBehaviour
    {
        [Header("Cache")]
        private ARTrackedImage _arTrackedImage;
        private ImageTargetData _imageTargetData;

        public ARTrackedImage ARTrackedImage => _arTrackedImage;
        public ImageTargetData ImageTargetData => _imageTargetData;
        
        public ImageTargetContent Initialize(ARTrackedImage arTrackedImage, ImageTargetData imageTargetData)
        {
            _arTrackedImage = arTrackedImage;
            _imageTargetData = imageTargetData;
            return this;
        }
    }
}
