using SpellBoundAR.ARImageTracking;
using SpellBoundAR.AssetManagement.Editor;
using UnityEditor;

namespace SpellBoundAR.ARImageTargets.Editor.Editor
{
    [CustomEditor(typeof(Database), true)]
    public class DatabaseInspector : SingletonDatabaseInspector
    {
        protected override void RebuildLists()
        {
            Utilities.FillWithAssetsOfType(((Database) target).ImageTargets.list, target);
        }

        protected override void SortLists()
        {
            ((Database)target).ImageTargets.SortList();
        }

        protected override void RebuildDictionaries()
        {
            ((Database)target).ImageTargets.RebuildDictionary();
        }

        public override string ToString()
        {
            return ((Database)target).ImageTargets.ToString("Image Targets");
        }
    }
}